Upsert Tender Parameters

post

/config/sim/v2/setup/upsertTenderParameters

Updates the Tender Parameters if they exist; otherwise, adds Tender Parameters.

Request

Supported Media Types
Header Parameters
Body ()
Tender Parameters Request Body for Create, Update, and Upsert requests.
Root Schema : schema
Type: object
Show Source
Nested Schema : guestPayPayments
Type: array
Guest Pay payment rows. Required fields apply only when a guestPayPayments object is supplied.
Show Source
Example:
[
    {
        "objectNumber":1,
        "paymentOptions":"00000000",
        "paymentType":0,
        "paymentCommand":null
    },
    {
        "objectNumber":2,
        "paymentOptions":"00000000",
        "paymentType":0,
        "paymentCommand":null
    },
    {
        "objectNumber":3,
        "paymentOptions":"00000000",
        "paymentType":0,
        "paymentCommand":null
    },
    {
        "objectNumber":4,
        "paymentOptions":"00000000",
        "paymentType":0,
        "paymentCommand":null
    },
    {
        "objectNumber":5,
        "paymentOptions":"00000000",
        "paymentType":0,
        "paymentCommand":null
    }
]
Nested Schema : items
Type: object
Show Source
  • Payment row object number. Expected values are 1-5.
    Example: 1
  • Payment command string. Format goes as follows: payment-category:payment-type function-name [argument], for example CreditDebit:Loadable CreditAuthAndPay or CreditDebit:Loadable CreditAuthAndPay 1234. For OPERA/PMS, use payment-category:payment-type Interface:interfaceId TenderMedia:tenderMediaObjNum, for example Other1:LoadablePms Interface:168 TenderMedia:2.
    Example: CreditDebit:Loadable CreditAuthAndPay
  • A string value of 0s and 1s of length 8 representing the enablement or disablement of the Guest Pay payment options.
    Example: 00000000
  • Payment type. Tender Parameters Guest Pay supports 1 for Credit Card.
    Example: 1
Back to Top

Response

Supported Media Types

200 Response

Tender Parameters Updated.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Tender Parameters Added.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top